Package com.logicaldoc.core.security.authentication

# Class AuthenticationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.logicaldoc.core.security.authentication.AuthenticationException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AccountDisabledException`, `AccountExpiredException`, `AccountInactiveException`, `AccountNotFoundException`, `AccountTypeNotAllowedException`, `ApiKeyBlockedException`, `ForbiddenImpersonationException`, `InvalidSessionException`, `IPBlockedException`, `OutsideWorkingTimeException`, `PasswordAlreadyUsedException`, `PasswordExpiredException`, `PasswordWeakException`, `UnconfirmedLegalsException`, `UsernameBlockedException`, `WrongPasswordException`

public class AuthenticationException extends RuntimeException
A generic exception during the authentication process

Since:
  7.5
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationException()`
`AuthenticationException(Authenticator authenticator)`
`AuthenticationException(Authenticator authenticator, String code)`
`AuthenticationException(Authenticator authenticator, String code, Throwable cause)`
`AuthenticationException(String message)`
`AuthenticationException(String message, Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`Authenticator`
`getAuthenticator()`
`boolean`
`mustRecordFailure()`
`String`
`toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthenticationException

public AuthenticationException()

### AuthenticationException

public AuthenticationException(Authenticator authenticator)

### AuthenticationException

public AuthenticationException(Authenticator authenticator, String code)

### AuthenticationException

public AuthenticationException(Authenticator authenticator, String code, Throwable cause)

### AuthenticationException

public AuthenticationException(String message)

### AuthenticationException

public AuthenticationException(String message, Throwable cause)

## Method Details

### getAuthenticator

public Authenticator getAuthenticator()

### mustRecordFailure

public boolean mustRecordFailure()

### toString

public String toString()

Overrides:
  `toString` in class `Throwable`